# stdex: stdex::wav::data Struct Reference

Loading...
Searching...
No Matches
stdex::wav::data Struct Reference

Encoded waveform content. More...

`#include <stdex/wav.hpp>`

## Public Types

using | record = stdex::idrec::record<data, id_t, 0x61746164 , length_t, align>

## Public Attributes

stdex::stream::memory_file | content
| Encoded waveform.

## Friends

stdex::stream::basic & | operator<< (stdex::stream::basic &dat, const data &data)
stdex::stream::basic & | operator>> (stdex::stream::basic &dat, data &data)

## Detailed Description

Encoded waveform content.

The documentation for this struct was generated from the following file:

- include/stdex/wav.hpp